Metadata History#
Returns plant metadata on power projects provided by the EIA and comparative metrics against these reports.
Endpoint#
POST |
https://vulcan.api.synmax.com/v2/metadata_history |
Request Examples#
curl -X POST "https://vulcan.api.synmax.com/v2/metadata_history" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.vulcan.v2 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
metadata_history_resp = vulcan_api_client.metadata_history({})
metadata_history_df = metadata_history_resp.df()
metadata_history_df.head()
Parameters#
Query#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
date_eia_updated_max |
string |
Maximum date to filter records (inclusive). Must be in YYYY-MM-DD format (e.g., 2021-07-31) |
2021-07-31 |
date_eia_updated_min |
string |
Minimum date to filter records (inclusive). Must be in YYYY-MM-DD format (e.g., 2021-07-01) |
2021-07-01 |
Aggregation#
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
balancing_authority_code |
string |
EIA balancing authority responisble for grid reliability in plant’s service area |
ERCO |
county |
string |
Plant county - Provided by EIA |
Fayette |
created_at |
string |
ISO date on which the record was created |
2025-04-28T12:34:56Z |
datacenter_net_capacity |
number |
EIA net capacity of a data center |
300.0 |
datacenter_net_capacity_unit |
string |
EIA unit of net capacity of a data center |
MW |
date_eia_updated |
string |
Date of update by EIA (first of the month) |
2025-08-01 |
date_first_seen |
string |
Date first seen in EIA data |
2020-11-01 |
date_first_seen_planned_operations |
string |
Date of planned operation |
2022-09-01 |
date_last_seen |
string |
Date last seen in EIA data |
2025-08-01 |
date_operating |
string |
Date of operation, first of the month |
2025-01-01 |
date_planned_derate |
string |
EIA date planned reduction (derate) in summer capacity is expected |
6/1/2029 |
date_planned_operations |
string |
Date of planned operation according to EIA, first of the month |
2025-02-01 |
date_planned_retirement_start |
string |
Date of planned retirement according to EIA, first of the month |
2025-02-01 |
date_planned_uprate |
string |
EIA date a planned increate (uprate) in summer capacity is expected |
5/1/2028 |
date_retirement |
string |
Date of retirement according to EIA, first of the month |
2025-03-01 |
days_current_planned_operation_minus_first_seen_planned_operation |
integer |
Amount of time in days between the most recent planned operation date and the first seen operations date |
430 |
days_last_seen_minus_first_seen |
integer |
Amount of time in days between first and last seen dates |
1734 |
days_operation_minus_first_seen |
integer |
Amount of time in days between operation date and first seen date |
1522 |
energy_source_code |
string |
EIA code identifying the primary energy source used for generation |
SUN |
entity_id |
integer |
EIA identifier for the owning or operating entitiy of the plant |
63830 |
entity_name |
string |
EIA plant operatorating entity |
7V Solar Ranch, LLC |
first_seen_status |
string |
Status given to generator when first reported |
|
generator_id |
string |
EIA identifier given to each generator for a given plant |
PV1 |
generator_unit_code |
string |
EIA identifier grouping generators that operate as a single unit |
A031 |
last_seen_status |
string |
Status given to generator when last seen in the data |
(OP) Operating |
latitude |
number |
EIA plant latitude |
29.807 |
longitude |
number |
EIA plant longitude |
-97.0741 |
modified_at |
string |
ISO date on which the record was last modified |
2025-04-28T12:34:56Z |
nameplate_capacity |
number |
EIA plant generator capacity |
300.0 |
nameplate_capacity_unit |
string |
EIA plant generator capacity unit |
MW |
nameplate_energy_capacity |
number |
EIA rated storage capacity of an energy system (MW hours) |
108.6 |
nameplate_energy_capacity_unit |
string |
EIA unit of rated storage capacity |
MWh |
net_summer_capacity |
number |
EIA net generating capacity available during summer peak |
300.0 |
net_summer_capacity_unit |
string |
EIA plant generator net summer capacity unit |
MW |
net_winter_capacity |
number |
EIA net generating capacity available during winter peak |
300.0 |
net_winter_capacity_unit |
string |
EIA unit of net winter capacity |
MW |
planned_derate_of_summer_capacity |
number |
EIA amount of capacity reduction planned |
50.0 |
planned_derate_of_summer_capacity_unit |
string |
EIA unit of capacity reduction planned |
MW |
planned_uprate_of_summer_capacity |
number |
EIA amount of capacity increase planned |
50.0 |
planned_uprate_of_summer_capacity_unit |
string |
EIA unit of capacity increase planned |
MW |
plant_id |
integer |
EIA plant identifier |
64239 |
plant_name |
string |
EIA plant name |
7V Solar Ranch |
plant_status |
string |
EIA plants operational status, or its stage of construction |
(OP) Operating |
prime_mover_code |
string |
EIA code indicating the type of prime mover that drives the generator |
PV |
sector |
string |
EIA plant ownership type and whether or not the facility uses combined heat and power technology |
IPP Non-CHP |
sector_name |
string |
EIA description of the sector type |
IPP Non-CHP |
state_code |
string |
2 letter plant state code - provided by EIA |
TX |
synmax_id |
string |
Unique key of plant id and generator id |
68847-PV1 |
technology |
string |
EIA primary generation technology |
Solar Photovoltaic |
Normal Output#
date_eia_updated |
entity_id |
entity_name |
plant_id |
plant_name |
sector |
state_code |
generator_id |
nameplate_capacity |
nameplate_capacity_unit |
net_summer_capacity |
net_summer_capacity_unit |
technology |
energy_source_code |
prime_mover_code |
plant_status |
date_planned_derate |
planned_derate_of_summer_capacity |
planned_derate_of_summer_capacity_unit |
date_planned_uprate |
planned_uprate_of_summer_capacity |
planned_uprate_of_summer_capacity_unit |
county |
latitude |
longitude |
net_winter_capacity |
net_winter_capacity_unit |
balancing_authority_code |
generator_unit_code |
nameplate_energy_capacity |
nameplate_energy_capacity_unit |
datacenter_net_capacity |
datacenter_net_capacity_unit |
sector_name |
date_first_seen |
date_last_seen |
date_operating |
date_planned_retirement |
date_planned_operations |
date_retirement |
days_last_seen_minus_first_seen |
first_seen_status |
last_seen_status |
date_first_seen_planned_operations |
days_operation_minus_first_seen |
days_planned_operation_minus_first_seen_planned_operation |
synmax_id |
created_at |
modified_at |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
2015-07-01 |
195 |
Alabama Power Co |
2 |
Bankhead Dam |
AL |
1 |
MW |
56.0 |
MW |
Conventional Hydroelectric |
WAT |
HY |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
1963-07-01 |
(OP) Operating |
(OP) Operating |
2-1 |
||||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
1 |
MW |
138.0 |
MW |
Conventional Steam Coal |
BIT |
ST |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
1954-02-01 |
2019-12-01 |
(OP) Operating |
(OP) Operating |
3-1 |
|||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
2 |
MW |
137.0 |
MW |
Conventional Steam Coal |
BIT |
ST |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
1954-07-01 |
2019-12-01 |
(OP) Operating |
(OP) Operating |
3-2 |
|||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
3 |
MW |
249.0 |
MW |
Conventional Steam Coal |
BIT |
ST |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
1959-07-01 |
(OP) Operating |
(OP) Operating |
3-3 |
||||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
4 |
MW |
362.0 |
MW |
Conventional Steam Coal |
BIT |
ST |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
1969-12-01 |
(OP) Operating |
(OP) Operating |
3-4 |
||||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
5 |
MW |
726.5 |
MW |
Conventional Steam Coal |
BIT |
ST |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
1971-10-01 |
(OP) Operating |
(OP) Operating |
3-5 |
||||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
A1CT |
MW |
154.0 |
MW |
Natural Gas Fired Combined Cycle |
NG |
CT |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
2000-05-01 |
(OP) Operating |
(OP) Operating |
3-A1CT |
||||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
A1CT2 |
MW |
154.0 |
MW |
Natural Gas Fired Combined Cycle |
NG |
CT |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
2000-05-01 |
(OP) Operating |
(OP) Operating |
3-A1CT2 |
||||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
A1ST |
MW |
173.0 |
MW |
Natural Gas Fired Combined Cycle |
NG |
CA |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
2000-05-01 |
(OP) Operating |
(OP) Operating |
3-A1ST |
||||||||||||||||||||||||
2015-07-01 |
195 |
Alabama Power Co |
3 |
Barry |
AL |
A2C1 |
MW |
154.0 |
MW |
Natural Gas Fired Combined Cycle |
NG |
CT |
(OP) Operating |
MW |
MW |
MW |
MWh |
MW |
Electric Utility |
2015-07-01 |
2000-05-01 |
(OP) Operating |
(OP) Operating |
3-A2C1 |